php version
Posted by: jzeig1 (---.nyc.res.rr.com)
Date: February 23, 2019 05:13PM

Hay all.
Was just wondering. I have WampServer 3.0.6 64bit version of WampServer. The versions used in my about dialog says Apache 2.4.23; PHP 4.6.25; MySQL 5.7.14; PHP 5.6.25 for CLI.

In order for me to get a higher version of PHP, is there a later version of the software I need to download, and if so, do I have to uninstall the current version and reinstall everything?

Thanks

Options: ReplyQuote
Re: php version
Posted by: Otomatic (Moderator)
Date: February 23, 2019 05:48PM

Hi,

You do not need to uninstall Wampserver to get more recent versions of PHP, MySQL or Apache.

- 1 - Verify that all VC ++ packages are installed and with the latest versions.
To do this, use the tool:
Checks VC++ packages installed
Do not use a previously loaded tool. Make a new download to make sure you are using the correct version.
To download missing packages, do not rely on Microsoft links, they are not reliable, download packages on http://wampserver.aviatechno.net in section Visual C++ Redistribuable Packages
Do not forget that if you have a 64 bit Windows, you must install both 32 and 64 bit versions of each package.
You must install each package "as an administrator", so right-click the exe file and then run as Administrator.

- 2 - Apply Update 3.1.7 to your version of Wampserver
Wampserver update 3.1.7

- 3 - Then, you can find all the available versions of Apache, PHP, MySQL and MariaDB as an "addon", i.e. in addition to your version of Wampserver, by reading : WAMPserver 3 - All you need to know

------------------------------------------------------------------------------------------------------------
Wampserver 3.1.7 32 bit - Apache 2.4.38 - PHP 7.3.2/7.2.15/7.1.26/7.0.33/5.6.40 - MySQL 5.7.25 - MariaDB 10.3.13
Wampserver 3.1.7 64 bit - Apache 2.4.38 - PHP 7.3.2/7.2.15/7.1.26/7.0.33/5.6.40 - MySQL 5.7.25/8.0.14 - MariaDB 10.3.13
PhPMyadmin 4.8.5 - MysqlDumper 1.24.5
on W10 and W7 Pro 64 bit
Documentation Apache - Documentation PHP - Documentation MySQL - Wampserver install files & addons
« Ce n'est pas parce qu'ils sont nombreux à avoir tort, qu'ils ont forcément raison. Coluche »
« It's not because they are many to be wrong, they are necessarily right. Coluche »

Options: ReplyQuote
Re: php version
Posted by: jzeig1 (---.nyc.res.rr.com)
Date: February 24, 2019 02:53PM

Hay Otomatic,
Thanks for you reply.

I simply went to tools and found that I did have a version 7 of php available with my package.

But being that you've directed me with such great update info, I've ran both check app's.

Here's the results from the packaged tool:

Compiler Visual C++ versions used:
PHP 5.6.25 Compiler => MSVC11 (Visual C++ 2012)
Architecture => x64 is compatible with Apache 2.4.23
PHP 7.0.10 Compiler => MSVC14 (Visual C++ 2015)
Architecture => x64 is compatible with Apache 2.4.23
MySQL Ver 5.7.14 for Win64 on x86_64 (MySQL Community Server (GPL))
Apache 2.4.23 Server built: Jul 1 2016 11:43:51
Architecture: 64-bit

Here's the results from the downloaded tool:

VC_2008_SP1_ATL_SEC_UPD_REDIST_X86 ID={1F1C2DFC-2D24-3E06-BCB8-725134ADF989}
Visual C++ 2008 SP1 ATL Security (x86)
**** NOT INSTALLED ****
see: [wampserver.aviatechno.net]
----------------------------------------
VC_2013_REDIST_X86_MIN ID={8122DAB1-ED4D-3676-BB0A-CA368196543E}
Visual C++ 2013 x86 Minimum Runtime - 12.0.40664
**** NOT INSTALLED ****
see: [wampserver.aviatechno.net]
----------------------------------------
VC_2013_REDIST_X86_ADD ID={D401961D-3A20-3AC7-943B-6139D5BD490A}
Visual C++ 2013 x86 Additional Runtime - 12.0.40664
**** NOT INSTALLED ****
see: [wampserver.aviatechno.net]
----------------------------------------
VC_2017_REDIST_MIN_X86 ID={5EEFCEFB-E5F7-4C82-99A5-813F04AA4FBD}
Visual C++ 2017 x86 Minimum Runtime - 14.16.27024
**** NOT INSTALLED ****
see: [wampserver.aviatechno.net]
----------------------------------------
VC_2017_REDIST_ADD_X86 ID={7258184A-EC44-4B1A-A7D3-68D85A35BFD0}
Visual C++ 2017 x86 Additional Runtime - 14.16.27024
**** NOT INSTALLED ****
see: [wampserver.aviatechno.net]
----------------------------------------
VC_2017_REDIST_X86 ID={39e28474-b67b-4209-af1b-e9ad0a83d8ca}
Visual C++ 2017 Redistributable (x86) - 14.16.27027
**** NOT INSTALLED ****
see: [wampserver.aviatechno.net]
----------------------------------------
VC_2013_REDIST_X64_MIN ID={53CF6934-A98D-3D84-9146-FC4EDF3D5641}
Visual C++ 2013 x64 Minimum Runtime Update 5 - 12.0.40664
**** NOT INSTALLED ****
see: [wampserver.aviatechno.net]
----------------------------------------
VC_2013_REDIST_X64_ADD ID={010792BA-551A-3AC0-A7EF-0FAB4156C382}
Visual C++ 2013 x64 Additional Runtime Update 5 - 12.0.40664
**** NOT INSTALLED ****
see: [wampserver.aviatechno.net]
----------------------------------------
VC_2017_REDIST_MIN_X64 ID={F1B0FB3A-E0EA-47A6-9383-3650655403B0}
Visual C++ 2017 x64 Minimum Runtime - 14.16.27024
**** NOT INSTALLED ****
see: [wampserver.aviatechno.net]
----------------------------------------
VC_2017_REDIST_ADD_X64 ID={9D29FC96-9EEE-4253-943F-96B3BBFDD0B6}
Visual C++ 2017 x64 Additional Runtime - 14.16.27024
**** NOT INSTALLED ****
see: [wampserver.aviatechno.net]
----------------------------------------
VC_2017_REDIST_X64 ID={fd9b6070-d13e-45dc-819b-41806bf45b6b}
Visual C++ 2017 Redistributable (x64) - 14.16.27027
**** NOT INSTALLED ****
see: [wampserver.aviatechno.net]
----------------------------------------

Question - I assume there's a cumulative version for the update. If I'm not mistaken, you indicated to update each version and for both OS's.

Thanks again.

Options: ReplyQuote
Re: php version
Posted by: Otomatic (Moderator)
Date: February 24, 2019 02:59PM

Hi,

> I assume there's a cumulative version for the update.
For Wampserver update 3.1.7 it is noted :
You are strongly encouraged to apply this update. This is a cumulative update. There is no need to apply the old updates 3.0.1 to 3.1.6 before applying 3.1.7. There will be no change to the Apache, PHP, MySQL, MariaDB settings and versions used; your local sites and databases will not be affected. This update will be required before install last Apache, PHP, MySQL or MariaDB addons.

For VC++ redistribuables:
Only VC++ 2017 is retro compatible with VC++ 2015

It would have been far too easy for Microsoft to make a single version that would have covered all versions of the VC++ redistributable versions.

------------------------------------------------------------------------------------------------------------
Wampserver 3.1.7 32 bit - Apache 2.4.38 - PHP 7.3.2/7.2.15/7.1.26/7.0.33/5.6.40 - MySQL 5.7.25 - MariaDB 10.3.13
Wampserver 3.1.7 64 bit - Apache 2.4.38 - PHP 7.3.2/7.2.15/7.1.26/7.0.33/5.6.40 - MySQL 5.7.25/8.0.14 - MariaDB 10.3.13
PhPMyadmin 4.8.5 - MysqlDumper 1.24.5
on W10 and W7 Pro 64 bit
Documentation Apache - Documentation PHP - Documentation MySQL - Wampserver install files & addons
« Ce n'est pas parce qu'ils sont nombreux à avoir tort, qu'ils ont forcément raison. Coluche »
« It's not because they are many to be wrong, they are necessarily right. Coluche »



Edited 1 time(s). Last edit at 02/24/2019 05:30PM by Otomatic.

Options: ReplyQuote
Re: php version
Posted by: jzeig1 (---.nyc.res.rr.com)
Date: February 25, 2019 01:59AM

Otomatic Wrote:
-------------------------------------------------------
>
> For VC++ redistribuables:
> Only VC++ 2017 is retro compatible with VC++ 2015


I assume that means to use the 2017 version update, and that will t/c of what I need.

Options: ReplyQuote
Re: php version
Posted by: RiggsFolly (Moderator)
Date: February 25, 2019 09:59AM

Hi,

Can I suggest that you load them ALL in a logical version order, lowest version first.

The installs will then do all the right things in the right order, rather than trying to second guess what is needed.

---------------------------------------------------------------------------------------------
(Windows 10 Pro 64bit) (Wampserver 3.1.7 32bit & 64bit)
<Apache versions MULTIPE> <PHP versions MULTIPLE> <MySQL Versions MULTIPLE>
<MariaDB versions MULTIPLE> <phpMyAdmin versions MULTIPLE> <MySQL Workbench 6.3.10>

Read The Manuals Apache -- MySQL -- PHP -- phpMyAdmin
Get your Apache/MySQL/mariaDB/PHP ADDONs here from the WAMPServer alternate Repo
-X-X-X- Backup your MySQL databases regularly Here is How dont regret it later! Yes even when developing -X-X-X-

Options: ReplyQuote


Sorry, only registered users may post in this forum.